; =====================================================
; =========  PROMOD HUNTINGRIFLE REPLACEMENT  =========
; =====================================================

;filter:
;{
;	"classname" "weapon_hunting_rifle_spawn"
;}
;filter:
;{
;	"classname" "weapon_sniper_military_spawn"
;}
;filter:
;{
;	"weapon_selection" "any_sniper_rifle"
;}
;filter:
;{
;	"weapon_selection" "weapon_hunting_rifle"
;}
;filter:
;{
;	"weapon_selection" "weapon_sniper_military"
;}

; =====================================================
; ================  FIXED ITEM SPAWNS  ================
; =====================================================

;filter:
;{
;		"classname" "weapon_molotov_spawn"
;}
;{
;		"classname" "weapon_pipe_bomb_spawn"
;}
;{
;		"classname" "weapon_vomitjar_spawn"
;}
;{
;		"classname" "weapon_item_spawn"
;}
;{
;		"classname" "prop_physics"
;		"model" "models/props_junk/gascan001a.mdl"
;}
;{
;		"classname" "prop_physics"
;		"model" "models/props_junk/propanecanister001a.mdl"
;}
;{
;		"classname" "prop_physics"
;		"model" "models/props_equipment/oxygentank01.mdl"
;}
;{
;		"classname" "prop_physics"
;		"model" "models/props_junk/explosive_box001.mdl"
;}

; --- remove extra pills and readd our own
{
		"hammerid" "1698830"
}
{
		"hammerid" "1701209"
}

add:
{
		"origin" "3238.718506 -2622.264648 -48.595257"
		"angles" "0 273 0"
		"classname" "weapon_pain_pills_spawn"
}
{
		"origin" "3233.771729 -2647.552490 -48.511478"
		"angles" "0 146 0"
		"classname" "weapon_pain_pills_spawn"
}

; --- Replace all guns with Silenced SMGs and Chrome Shotguns

; --- Dock Guns
;modify:
;{
;	match:
;	{
;		"hammerid" "2242181"
;	}
;	replace:
;	{
;		"weapon_selection" "weapon_smg_silenced"
;	}
;}
;modify:
;{
;	match:
;	{
;		"hammerid" "2242183"
;	}
;	replace:
;	{
;		"weapon_selection" "weapon_shotgun_chrome"
;	}
;}

; --- Saferoom Guns
;modify:
;{
;	match:
;	{
;	"hammerid" "1405"
;	}
;	replace:
;	{
;		"weapon_selection" "weapon_shotgun_chrome"
;	}
;}
;
;modify:
;{
;	match:
;	{
;		"hammerid" "1407"
;	}
;	replace:
;	{
;		"weapon_selection" "weapon_smg_silenced"
;	}
;}

; =====================================================
; ================  EXPLOITS BLOCKED  =================
; =====================================================

add:
; --- block climbing into squished section outside saferoom
{
	; invisible block inside narrow section
	"origin" "2244 4076 100"
	"mins" "-60 -84 -28"
	"maxs" "60 84 28"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- Fix Hunters being unable to pounce in deep water by adding clip underneath it
{
	"origin" "4066 -4704 -482"
	"mins" "-3104 -1184 -184"
	"maxs" "3104 1184 184"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}

; =====================================================
; ==================  PROMOD PROPS  ===================
; =====================================================

add:

; --- Add a rock off to the side of the dock to nerf camping there, and some crates on the dock
{
	"classname" "prop_dynamic"
	"angles" "0 108 0"
	"disableshadows" "1"
	"model" "models/props/cs_militia/militiarock01.mdl"
	"solid" "6"
	"origin" "3184 -5028 -325"
}
{
	"classname" "prop_dynamic"
	"angles" "0 0 0"
	"disableshadows" "1"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"origin" "2593 -4509 -225"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "1"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"origin" "2593 -4509 -186"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "1"
	"model" "models/props/de_nuke/crate_small.mdl"
	"solid" "6"
	"origin" "2653 -4765 -225"
}

; --- clip for above props
{
	"origin" "2654 -4765 139"
	"mins" "33.5 33 364.5"
	"maxs" "-33.5 -33 -364.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
